Package org.pgpainless.decryption_verification

# Class TeeBCPGInputStream.DelayedTeeInputStream

java.lang.Object
java.io.InputStream
org.pgpainless.decryption_verification.TeeBCPGInputStream.DelayedTeeInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  `TeeBCPGInputStream`

public static class TeeBCPGInputStream.DelayedTeeInputStream extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`DelayedTeeInputStream(InputStream inputStream, OutputStream outputStream)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`read()`
`int`
`read(byte[] b, int off, int len)`
`void`
`squeeze()`
Squeeze the last byte out and update the output stream.

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelayedTeeInputStream

public DelayedTeeInputStream(InputStream inputStream, OutputStream outputStream)

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(@Nonnull byte[] b, int off, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### squeeze

public void squeeze() throws IOException
Squeeze the last byte out and update the output stream.

Throws:
  `IOException` - in case of an IO error

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`